Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.ant.taskdefs
Class RetryTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.nokia.ant.taskdefs.RetryTask

All Implemented Interfaces:
  java.lang.Cloneable, org.apache.tools.ant.TaskContainer

    public class RetryTask

extends org.apache.tools.ant.Task
implements org.apache.tools.ant.TaskContainer

Retries the nested task a set number of times

Since:
  Ant 1.7.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`RetryTask()`

Method Summary
`void` | `addTask(org.apache.tools.ant.Task t)` set the task
`void` | `execute()` perform the work
`void` | `setRetryCount(int n)` set the number of times to retry the task
`void` | `setSleepTime(int n)` set the sleep time inbetween each retry

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RetryTask

    public RetryTask()

Method Detail

### addTask

    public void addTask(org.apache.tools.ant.Task t)

  set the task

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`
  Parameters:
    `t` - the task to retry.

### setRetryCount

    public void setRetryCount(int n)

  set the number of times to retry the task

  Parameters:
    `n` - the number to use.

### setSleepTime

    public void setSleepTime(int n)

  set the sleep time inbetween each retry

  Parameters:
    `n` - the time in ms to sleep between each retry.

### execute

    public void execute()

  perform the work

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException` - if there is an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD